
%global minorversion 0.8
%global xfceversion 4.18

Name:           xfce4-notifyd
Version:        0.8.2
Release:    1%{?dist}
Summary:        Simple notification daemon for Xfce

License:        GPLv2
URL:            http://goodies.xfce.org/projects/applications/xfce4-notifyd
Source0:        http://archive.xfce.org/src/apps/%{name}/%{minorversion}/%{name}-%{version}.tar.bz2

BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  gtk3-devel >= 3.20.0
BuildRequires:  libxfce4ui-devel >= %{xfceversion}
BuildRequires:  libxfce4util-devel >= %{xfceversion}
BuildRequires:  xfconf-devel >= %{xfceversion}
BuildRequires:  xfce4-panel-devel >= %{xfceversion}
BuildRequires:  glib2-devel >= 2.42.0
BuildRequires:  libnotify-devel >= 0.7.0
BuildRequires:  sqlite-devel
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  systemd

Requires:       dbus
Requires:       hicolor-icon-theme
Provides:       desktop-notification-daemon


%description
Xfce4-notifyd is a simple, visually-appealing notification daemon for Xfce 
that implements the freedesktop.org desktop notifications specification.
Features:
* Themable using the GTK+ theming mechanism
* Visually appealing: rounded corners, shaped windows
* Supports transparency and fade effects


%prep
%setup -q


%build
%configure
%make_build

%install
%make_install

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}-config.desktop
%find_lang %{name}

find %{buildroot} -name \*.la -exec rm {} \;


%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS TODO
%{_bindir}/xfce4-notifyd-config
%{_libdir}/xfce4/notifyd/
%{_libdir}/xfce4/panel/plugins/libnotification-plugin.so
%{_datadir}/applications/xfce4-notifyd-config.desktop
%{_datadir}/themes/Default/xfce-notify-4.0/
%{_datadir}/themes/Smoke/
%{_datadir}/themes/ZOMG-PONIES!/
%{_datadir}/themes/Bright/
%{_datadir}/themes/Retro/
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/xfce4/panel/plugins/notification-plugin.desktop
%{_mandir}/man1/xfce4-notifyd-config.1.*
%{_sysconfdir}/xdg/autostart/%{name}.desktop

%changelog
* Wed Aug 07 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.2-1
- initial build
